> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Store

> Create store



## OpenAPI

````yaml post /stores
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /stores:
    post:
      tags:
        - stores
      summary: Create Store
      description: Create store
      operationId: create_store_stores_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreCreateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreCreateResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    StoreCreateRequest:
      properties:
        name:
          type: string
          title: Name
        short_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Short Desc
        detail_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail Desc
        web_site:
          anyOf:
            - type: string
            - type: 'null'
          title: Web Site
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
      type: object
      required:
        - name
      title: StoreCreateRequest
    StoreCreateResponse:
      properties:
        name:
          type: string
          title: Name
        short_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Short Desc
        detail_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail Desc
        web_site:
          anyOf:
            - type: string
            - type: 'null'
          title: Web Site
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
      type: object
      required:
        - name
      title: StoreCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````